Debian Bug report logs - #713005
ITA: miredo -- Teredo IPv6 tunneling through NATs

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Rémi Denis-Courmont <courmisch@gmail.com>

Date: Fri, 21 Jun 2013 19:27:01 UTC

Owned by: Tomasz Buchert <tomasz.buchert@inria.fr>

Severity: normal

Fixed in version miredo/1.2.6-1

Done: Tomasz Buchert <tomasz.buchert@inria.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#713005; Package wnpp. (Fri, 21 Jun 2013 19:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rémi Denis-Courmont <courmisch@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Fri, 21 Jun 2013 19:27:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rémi Denis-Courmont <courmisch@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: miredo -- Teredo IPv6 tunneling through NATs
Date: Fri, 21 Jun 2013 22:23:20 +0300
Package: wnpp
Severity: normal

Due to lack of time, I request an adopter for the miredo package.

The package description is:
 The Teredo IPv6 tunneling protocol encapsulates IPv6 packets into UDP/IPv4
 datagrams, to allow hosts behind NAT devices to access the IPv6 Internet.
 .
 Miredo is a Teredo client (as per RFC 4380): it can provide IPv6
 connectivity to a dual-stack IPv6/IPv4 host even if it is located behind a
 NAT. It can also operate as a Teredo relay which forwards IPv6 packets
 between the IPv6 Internet and remote Teredo clients.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#713005; Package wnpp. (Wed, 26 Jun 2013 13:06:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomasz Buchert <tomasz.buchert@inria.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 26 Jun 2013 13:06:16 GMT) Full text and rfc822 format available.

Message #10 received at 713005@bugs.debian.org (full text, mbox):

From: Tomasz Buchert <tomasz.buchert@inria.fr>
To: 713005@bugs.debian.org
Cc: courmisch@gmail.com
Subject: Possibly adopoting?
Date: Wed, 26 Jun 2013 15:02:24 +0200
Hi,
I use miredo from time to time. I looked on your package
a bit - what happened to SVN repository? I would like to
migrate it to Git on alioth.

Cheers,
Tomasz



Information stored :
Bug#713005; Package wnpp. (Wed, 26 Jun 2013 13:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rémi Denis-Courmont <remi@remlab.net>:
Extra info received and filed, but not forwarded. (Wed, 26 Jun 2013 13:30:07 GMT) Full text and rfc822 format available.

Message #15 received at 713005-quiet@bugs.debian.org (full text, mbox):

From: Rémi Denis-Courmont <remi@remlab.net>
To: Tomasz Buchert <tomasz.buchert@inria.fr>
Cc: <713005-quiet@bugs.debian.org>
Subject: Re: Possibly adopoting?
Date: Wed, 26 Jun 2013 15:27:38 +0200
   Hello,



On Wed, 26 Jun 2013 15:02:24 +0200, Tomasz Buchert

<tomasz.buchert@inria.fr> wrote:

> I use miredo from time to time. I looked on your package

> a bit - what happened to SVN repository? I would like to

> migrate it to Git on alioth.



I had moved both upstream and Debian earlier:



http://git.remlab.net/gitweb/?p=miredo.git;a=summary

http://git.remlab.net/gitweb/?p=miredo-debian.git;a=summary



But I am not sure the Debian branch is done correctly, so you may want to

restart from scratch anyway.



-- 

Rémi Denis-Courmont

Sent from my collocated server



Information stored :
Bug#713005; Package wnpp. (Wed, 26 Jun 2013 14:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomasz Buchert <tomasz.buchert@inria.fr>:
Extra info received and filed, but not forwarded. (Wed, 26 Jun 2013 14:48:04 GMT) Full text and rfc822 format available.

Message #20 received at 713005-quiet@bugs.debian.org (full text, mbox):

From: Tomasz Buchert <tomasz.buchert@inria.fr>
To: Rémi Denis-Courmont <remi@remlab.net>
Cc: 713005-quiet@bugs.debian.org
Subject: Re: Possibly adopoting?
Date: Wed, 26 Jun 2013 16:44:29 +0200
On 26/06/13 15:27, Rémi Denis-Courmont wrote:
>    Hello,
> 
> 
> On Wed, 26 Jun 2013 15:02:24 +0200, Tomasz Buchert
> 
> <tomasz.buchert@inria.fr> wrote:
> 
> > I use miredo from time to time. I looked on your package
> 
> > a bit - what happened to SVN repository? I would like to
> 
> > migrate it to Git on alioth.
> 
> 
> 
> I had moved both upstream and Debian earlier:
> 
> 
> 
> http://git.remlab.net/gitweb/?p=miredo.git;a=summary
> 
> http://git.remlab.net/gitweb/?p=miredo-debian.git;a=summary
> 

Hi,
I took all debian releases so far and committed them here:

http://anonscm.debian.org/gitweb/?p=collab-maint/miredo.git

I will work a bit on the package in the next week and let you know
how it is going.

Thanks,
Tomasz

> 
> 
> But I am not sure the Debian branch is done correctly, so you may want to
> 
> restart from scratch anyway.
> 
> 
> 
> -- 
> 
> Rémi Denis-Courmont
> 
> Sent from my collocated server



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#713005; Package wnpp. (Fri, 28 Jun 2013 02:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Jun 2013 02:15:05 GMT) Full text and rfc822 format available.

Message #25 received at 713005@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Rémi Denis-Courmont <courmisch@gmail.com>, 713005@bugs.debian.org
Cc: Tomasz Buchert <tomasz.buchert@inria.fr>
Subject: Re: Bug#713005: RFA: miredo -- Teredo IPv6 tunneling through NATs
Date: Fri, 28 Jun 2013 04:13:59 +0200
Hi Rémi,

Rémi Denis-Courmont wrote:
> Due to lack of time, I request an adopter for the miredo package.

but aren't you miredo's upstream developer, too? Does that mean that
an adopter needs to take over upstream development, too?

Tomasz: In case you need a sponsor, feel free to contact me: I'm a
heavy miredo user (daily client use on multiple machines), so I'd like
to see miredo in Debian in a good shape, too.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#713005; Package wnpp. (Fri, 28 Jun 2013 06:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rémi Denis-Courmont <remi@remlab.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Jun 2013 06:09:04 GMT) Full text and rfc822 format available.

Message #30 received at 713005@bugs.debian.org (full text, mbox):

From: Rémi Denis-Courmont <remi@remlab.net>
To: Axel Beckert <abe@debian.org>
Cc: Rémi Denis-Courmont <courmisch@gmail.com>, <713005@bugs.debian.org>, Tomasz Buchert <tomasz.buchert@inria.fr>
Subject: Re: Bug#713005: RFA: miredo -- Teredo IPv6 tunneling through NATs
Date: Fri, 28 Jun 2013 08:07:25 +0200
On Fri, 28 Jun 2013 04:13:59 +0200, Axel Beckert <abe@debian.org> wrote:

> Hi Rémi,

> 

> Rémi Denis-Courmont wrote:

>> Due to lack of time, I request an adopter for the miredo package.

> 

> but aren't you miredo's upstream developer, too? Does that mean that

> an adopter needs to take over upstream development, too?



Yes. No. But then again, not much as happened on development side in the

last few years.



-- 

Rémi Denis-Courmont

Sent from my collocated server



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#713005; Package wnpp. (Fri, 28 Jun 2013 07:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomasz Buchert <tomasz.buchert@inria.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Jun 2013 07:18:04 GMT) Full text and rfc822 format available.

Message #35 received at 713005@bugs.debian.org (full text, mbox):

From: Tomasz Buchert <tomasz.buchert@inria.fr>
To: Rémi Denis-Courmont <remi@remlab.net>
Cc: Axel Beckert <abe@debian.org>, Rémi Denis-Courmont <courmisch@gmail.com>, 713005@bugs.debian.org
Subject: Re: Bug#713005: RFA: miredo -- Teredo IPv6 tunneling through NATs
Date: Fri, 28 Jun 2013 09:14:47 +0200
Hi guys,
well I definitely can't promise I will take over
upstream development. I will look at the Debian package,
fix stuff, and then we'll see.

Tomasz

On 28/06/13 08:07, Rémi Denis-Courmont wrote:
> On Fri, 28 Jun 2013 04:13:59 +0200, Axel Beckert <abe@debian.org> wrote:
> 
> > Hi Rémi,
> 
> > 
> 
> > Rémi Denis-Courmont wrote:
> 
> >> Due to lack of time, I request an adopter for the miredo package.
> 
> > 
> 
> > but aren't you miredo's upstream developer, too? Does that mean that
> 
> > an adopter needs to take over upstream development, too?
> 
> 
> 
> Yes. No. But then again, not much as happened on development side in the
> 
> last few years.
> 
> 
> 
> -- 
> 
> Rémi Denis-Courmont
> 
> Sent from my collocated server



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#713005; Package wnpp. (Fri, 28 Jun 2013 07:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Jun 2013 07:45:10 GMT) Full text and rfc822 format available.

Message #40 received at 713005@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Rémi Denis-Courmont <remi@remlab.net>, Tomasz Buchert <tomasz.buchert@inria.fr>
Cc: 713005@bugs.debian.org
Subject: Re: Bug#713005: RFA: miredo -- Teredo IPv6 tunneling through NATs
Date: Fri, 28 Jun 2013 09:44:12 +0200
Hi Rémi

Rémi Denis-Courmont wrote:
> On Fri, 28 Jun 2013 04:13:59 +0200, Axel Beckert <abe@debian.org> wrote:
> > Rémi Denis-Courmont wrote:
> > > Due to lack of time, I request an adopter for the miredo package.
> > 
> > but aren't you miredo's upstream developer, too? Does that mean that
> > an adopter needs to take over upstream development, too?
> 
> Yes. No.

Ok.

> But then again, not much as happened on development side in the
> last few years.

IMHO miredo works fine for years now and I don't miss anything. So
from my point of viewthere's no need for new features. :-)

If "not much happened" is just bug fixing where necessary, that should
be fine if it continues that way.

(And the optimist inside me thinks that at some point in time, we
won't need miredo anymore since IPv6 will be everywhere. ;-)

Tomasz Buchert wrote:
> well I definitely can't promise I will take over
> upstream development.

For me it's even a "I know that I can't".

> I will look at the Debian package, fix stuff, and then we'll see.

That's also my usual approach. :-)

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#713005; Package wnpp. (Fri, 28 Jun 2013 08:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rémi Denis-Courmont <remi@remlab.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Jun 2013 08:42:04 GMT) Full text and rfc822 format available.

Message #45 received at 713005@bugs.debian.org (full text, mbox):

From: Rémi Denis-Courmont <remi@remlab.net>
To: Axel Beckert <abe@debian.org>
Cc: Tomasz Buchert <tomasz.buchert@inria.fr>, <713005@bugs.debian.org>
Subject: Re: Bug#713005: RFA: miredo -- Teredo IPv6 tunneling through NATs
Date: Fri, 28 Jun 2013 10:38:49 +0200
On Fri, 28 Jun 2013 09:44:12 +0200, Axel Beckert <abe@debian.org> wrote:

>> But then again, not much as happened on development side in the

>> last few years.

> 

> IMHO miredo works fine for years now and I don't miss anything. So

> from my point of viewthere's no need for new features. :-)

> 

> If "not much happened" is just bug fixing where necessary, that should

> be fine if it continues that way.



Hmm well, the whole link-local multicast thing in the development branch

that has never really been tested (that I'd know of) or released. Also

there are quite a few extensions from the Microsoft/IETF Teredo protocol

update that have not been implemented. And then, integration with the

network manager and init could be better.



I can carry on upstream maintenance, but I don't think I ever will

implement the fancy missing bits.



> (And the optimist inside me thinks that at some point in time, we

> won't need miredo anymore since IPv6 will be everywhere. ;-)

> 

> Tomasz Buchert wrote:

>> well I definitely can't promise I will take over

>> upstream development.

> 

> For me it's even a "I know that I can't".

> 

>> I will look at the Debian package, fix stuff, and then we'll see.

> 

> That's also my usual approach. :-)



There should be a few fixes in my miredo-debian.git that never hit Debian.

If you don't take them, we should probably clear the pending tag on the

corresponding bugs.



-- 

Rémi Denis-Courmont

Sent from my collocated server



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#713005; Package wnpp. (Fri, 28 Jun 2013 08:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Jun 2013 08:54:09 GMT) Full text and rfc822 format available.

Message #50 received at 713005@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Rémi Denis-Courmont <remi@remlab.net>
Cc: Tomasz Buchert <tomasz.buchert@inria.fr>, 713005@bugs.debian.org
Subject: Re: Bug#713005: RFA: miredo -- Teredo IPv6 tunneling through NATs
Date: Fri, 28 Jun 2013 10:52:24 +0200
Hi,

Rémi Denis-Courmont wrote:
> On Fri, 28 Jun 2013 09:44:12 +0200, Axel Beckert <abe@debian.org> wrote:
> >> But then again, not much as happened on development side in the
> >> last few years.
> >
> > IMHO miredo works fine for years now and I don't miss anything. So
> > from my point of viewthere's no need for new features. :-)
> >
> > If "not much happened" is just bug fixing where necessary, that should
> > be fine if it continues that way.
>
> Hmm well, the whole link-local multicast thing in the development branch
> that has never really been tested (that I'd know of) or released. Also
> there are quite a few extensions from the Microsoft/IETF Teredo protocol
> update that have not been implemented.

I see. (Reasons why I can't take over any upstream development. ;-)

> And then, integration with the
> network manager and init could be better.

I usually prefer wicd over NM, but I can imagine that this would of be
use for some people.

> There should be a few fixes in my miredo-debian.git that never hit Debian.
> If you don't take them, we should probably clear the pending tag on the
> corresponding bugs.

From the bug reports marked as pending, I'd definitely include them.
Together with harding build flags and the 1.2.6 upstream version the
package should be back in shape.

Tomasz: Please tell me if you need or want any help with the above.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#713005; Package wnpp. (Fri, 28 Jun 2013 09:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomasz Buchert <tomasz.buchert@inria.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Jun 2013 09:15:04 GMT) Full text and rfc822 format available.

Message #55 received at 713005@bugs.debian.org (full text, mbox):

From: Tomasz Buchert <tomasz.buchert@inria.fr>
To: Axel Beckert <abe@debian.org>
Cc: Rémi Denis-Courmont <remi@remlab.net>, 713005@bugs.debian.org
Subject: Re: Bug#713005: RFA: miredo -- Teredo IPv6 tunneling through NATs
Date: Fri, 28 Jun 2013 11:12:34 +0200
On 28/06/13 10:52, Axel Beckert wrote:
> Hi,
> 
> Rémi Denis-Courmont wrote:
> > On Fri, 28 Jun 2013 09:44:12 +0200, Axel Beckert <abe@debian.org> wrote:
> > >> But then again, not much as happened on development side in the
> > >> last few years.
> > >
> > > IMHO miredo works fine for years now and I don't miss anything. So
> > > from my point of viewthere's no need for new features. :-)
> > >
> > > If "not much happened" is just bug fixing where necessary, that should
> > > be fine if it continues that way.
> >
> > Hmm well, the whole link-local multicast thing in the development branch
> > that has never really been tested (that I'd know of) or released. Also
> > there are quite a few extensions from the Microsoft/IETF Teredo protocol
> > update that have not been implemented.
> 
> I see. (Reasons why I can't take over any upstream development. ;-)
> 
> > And then, integration with the
> > network manager and init could be better.
> 
> I usually prefer wicd over NM, but I can imagine that this would of be
> use for some people.
> 
> > There should be a few fixes in my miredo-debian.git that never hit Debian.
> > If you don't take them, we should probably clear the pending tag on the
> > corresponding bugs.
> 
> From the bug reports marked as pending, I'd definitely include them.
> Together with harding build flags and the 1.2.6 upstream version the
> package should be back in shape.
> 
> Tomasz: Please tell me if you need or want any help with the above.

Hi,
that was exactly my plan to cherry-pick fixes that haven't reached
the Debian package yet.

Tomasz

> 
> 		Regards, Axel
> -- 
>  ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
> : :' :  |  Debian Developer, ftp.ch.debian.org Admin
> `. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
>   `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#713005; Package wnpp. (Fri, 28 Jun 2013 23:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomasz Buchert <tomasz.buchert@inria.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Jun 2013 23:33:07 GMT) Full text and rfc822 format available.

Message #60 received at 713005@bugs.debian.org (full text, mbox):

From: Tomasz Buchert <tomasz.buchert@inria.fr>
To: Axel Beckert <abe@debian.org>
Cc: Rémi Denis-Courmont <remi@remlab.net>, 713005@bugs.debian.org
Subject: Re: Bug#713005: RFA: miredo -- Teredo IPv6 tunneling through NATs
Date: Sat, 29 Jun 2013 01:28:22 +0200
Hi guys,

On 28/06/13 10:52, Axel Beckert wrote:
> Hi,
> 
> Rémi Denis-Courmont wrote:
> > On Fri, 28 Jun 2013 09:44:12 +0200, Axel Beckert <abe@debian.org> wrote:
> > >> But then again, not much as happened on development side in the
> > >> last few years.
> > >
> > > IMHO miredo works fine for years now and I don't miss anything. So
> > > from my point of viewthere's no need for new features. :-)
> > >
> > > If "not much happened" is just bug fixing where necessary, that should
> > > be fine if it continues that way.
> >
> > Hmm well, the whole link-local multicast thing in the development branch
> > that has never really been tested (that I'd know of) or released. Also
> > there are quite a few extensions from the Microsoft/IETF Teredo protocol
> > update that have not been implemented.
> 
> I see. (Reasons why I can't take over any upstream development. ;-)
> 
> > And then, integration with the
> > network manager and init could be better.
> 
> I usually prefer wicd over NM, but I can imagine that this would of be
> use for some people.
> 
> > There should be a few fixes in my miredo-debian.git that never hit Debian.
> > If you don't take them, we should probably clear the pending tag on the
> > corresponding bugs.
> 
> From the bug reports marked as pending, I'd definitely include them.
> Together with harding build flags and the 1.2.6 upstream version the
> package should be back in shape.

Yes. Working on that. I want first to switch to debhelper. Few questions
here:
  
    * why do you compile miredo statically? shouldn't you compile dynamically
      and provide libmiredo or something?
    * I noticed that the test suite sometimes fails (rarely and randomly);
      the test name is libteredo-list; was testing a part of a cdbs build before?

Cheers,
Tomasz

> 
> Tomasz: Please tell me if you need or want any help with the above.
> 
> 		Regards, Axel
> -- 
>  ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
> : :' :  |  Debian Developer, ftp.ch.debian.org Admin
> `. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
>   `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#713005; Package wnpp. (Sun, 30 Jun 2013 16:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Rémi Denis-Courmont" <remi@remlab.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 30 Jun 2013 16:21:04 GMT) Full text and rfc822 format available.

Message #65 received at 713005@bugs.debian.org (full text, mbox):

From: "Rémi Denis-Courmont" <remi@remlab.net>
To: Tomasz Buchert <tomasz.buchert@inria.fr>
Cc: Axel Beckert <abe@debian.org>, 713005@bugs.debian.org
Subject: Re: Bug#713005: RFA: miredo -- Teredo IPv6 tunneling through NATs
Date: Sun, 30 Jun 2013 19:18:50 +0300
Le samedi 29 juin 2013 02:28:22, Tomasz Buchert a écrit :
>     * why do you compile miredo statically? shouldn't you compile
> dynamically and provide libmiredo or something?

Nothing else uses it, so it was overkill.

>     * I noticed that the test suite sometimes fails (rarely and randomly);
>       the test name is libteredo-list; was testing a part of a cdbs build
> before?

I removed the test cases way back then because some buildwes were either too 
slow or too low on memory to run them.

-- 
Rémi Denis-Courmont
http://www.remlab.net/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#713005; Package wnpp. (Mon, 01 Jul 2013 22:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomasz Buchert <tomasz.buchert@inria.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 01 Jul 2013 22:39:04 GMT) Full text and rfc822 format available.

Message #70 received at 713005@bugs.debian.org (full text, mbox):

From: Tomasz Buchert <tomasz.buchert@inria.fr>
To: Rémi Denis-Courmont <remi@remlab.net>
Cc: Axel Beckert <abe@debian.org>, 713005@bugs.debian.org
Subject: Re: Bug#713005: RFA: miredo -- Teredo IPv6 tunneling through NATs
Date: Tue, 2 Jul 2013 00:37:26 +0200
Hi guys,
I've converted 1.2.3 version to debhelper as a first step, see:

http://anonscm.debian.org/gitweb/?p=collab-maint/miredo.git;a=summary

From what I see, it is 100% compatible with the previous package.
I would like to upload it to experimental to see if it builds everywhere.
(actually I've *uploaded* it already just few seconds ago, forgetting
that I don't have rights for that!).

Can you see if it didn't break?
I will backport other changes and pull newer upstream versions later.

Cheers,
Tomasz

On 30/06/13 19:18, Rémi Denis-Courmont wrote:
> Le samedi 29 juin 2013 02:28:22, Tomasz Buchert a écrit :
> >     * why do you compile miredo statically? shouldn't you compile
> > dynamically and provide libmiredo or something?
> 
> Nothing else uses it, so it was overkill.
> 
> >     * I noticed that the test suite sometimes fails (rarely and randomly);
> >       the test name is libteredo-list; was testing a part of a cdbs build
> > before?
> 
> I removed the test cases way back then because some buildwes were either too 
> slow or too low on memory to run them.
> 
> -- 
> Rémi Denis-Courmont
> http://www.remlab.net/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#713005; Package wnpp. (Mon, 01 Jul 2013 23:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomasz Buchert <tomasz.buchert@inria.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 01 Jul 2013 23:03:07 GMT) Full text and rfc822 format available.

Message #75 received at 713005@bugs.debian.org (full text, mbox):

From: Tomasz Buchert <tomasz.buchert@inria.fr>
To: Rémi Denis-Courmont <remi@remlab.net>
Cc: Axel Beckert <abe@debian.org>, 713005@bugs.debian.org
Subject: Re: Bug#713005: RFA: miredo -- Teredo IPv6 tunneling through NATs
Date: Tue, 2 Jul 2013 01:01:30 +0200
(continued...)

so I've looked at your git repos and I'm a bit confused
about their interdependence.

I've marked these commits as relevant to debian packaging:

4ccbcafb232d95b4a9802b9d4cff7b8bfddd96a0  - cdbs bug (not relevant as I switched to debhelper)
a30b1c2e4258536c940bbba8349ae4c00643fd48  - SVN banner
d2898815671e43e63f6b828e48107d4d471c4e20  - miredo.ifup fix
57082262d06bfeacb11275d366028f225c124d9b  - ifup comestics
e4c669b4f6fa588e62b571a2492723d67207dabb  - systemd
976fb87c98790f201c067a8810dd3e1f9dcd4b97  - status init.d
b5389e5eede40d309e389d6c9a350aa7125c31b7  - linux-any, kfreebsd-any

the rest is upstream if I get it correctly and so is packaged here:

http://www.remlab.net/files/miredo/?C=N;O=D

Am I right?

Tomasz

On 02/07/13 00:37, Tomasz Buchert wrote:
> Hi guys,
> I've converted 1.2.3 version to debhelper as a first step, see:
> 
> http://anonscm.debian.org/gitweb/?p=collab-maint/miredo.git;a=summary
> 
> From what I see, it is 100% compatible with the previous package.
> I would like to upload it to experimental to see if it builds everywhere.
> (actually I've *uploaded* it already just few seconds ago, forgetting
> that I don't have rights for that!).
> 
> Can you see if it didn't break?
> I will backport other changes and pull newer upstream versions later.
> 
> Cheers,
> Tomasz
> 
> On 30/06/13 19:18, Rémi Denis-Courmont wrote:
> > Le samedi 29 juin 2013 02:28:22, Tomasz Buchert a écrit :
> > >     * why do you compile miredo statically? shouldn't you compile
> > > dynamically and provide libmiredo or something?
> > 
> > Nothing else uses it, so it was overkill.
> > 
> > >     * I noticed that the test suite sometimes fails (rarely and randomly);
> > >       the test name is libteredo-list; was testing a part of a cdbs build
> > > before?
> > 
> > I removed the test cases way back then because some buildwes were either too 
> > slow or too low on memory to run them.
> > 
> > -- 
> > Rémi Denis-Courmont
> > http://www.remlab.net/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#713005; Package wnpp. (Tue, 02 Jul 2013 07:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rémi Denis-Courmont <remi@remlab.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 02 Jul 2013 07:03:05 GMT) Full text and rfc822 format available.

Message #80 received at 713005@bugs.debian.org (full text, mbox):

From: Rémi Denis-Courmont <remi@remlab.net>
To: Tomasz Buchert <tomasz.buchert@inria.fr>
Cc: Axel Beckert <abe@debian.org>, <713005@bugs.debian.org>
Subject: Re: Bug#713005: RFA: miredo -- Teredo IPv6 tunneling through NATs
Date: Tue, 02 Jul 2013 09:00:05 +0200
   Hello,



On Tue, 2 Jul 2013 01:01:30 +0200, Tomasz Buchert

<tomasz.buchert@inria.fr>

wrote:

> (continued...)

> 

> so I've looked at your git repos and I'm a bit confused

> about their interdependence.



upstream is just the pristine upstream master git branch. Debian is the

rest. That was probably not the best way.



> I've marked these commits as relevant to debian packaging:

> 

> 4ccbcafb232d95b4a9802b9d4cff7b8bfddd96a0  - cdbs bug (not relevant as I

> switched to debhelper)

> a30b1c2e4258536c940bbba8349ae4c00643fd48  - SVN banner

> d2898815671e43e63f6b828e48107d4d471c4e20  - miredo.ifup fix

> 57082262d06bfeacb11275d366028f225c124d9b  - ifup comestics

> e4c669b4f6fa588e62b571a2492723d67207dabb  - systemd

> 976fb87c98790f201c067a8810dd3e1f9dcd4b97  - status init.d

> b5389e5eede40d309e389d6c9a350aa7125c31b7  - linux-any, kfreebsd-any

> 

> the rest is upstream if I get it correctly and so is packaged here:

> 

> http://www.remlab.net/files/miredo/?C=N;O=D

> 

> Am I right?



It seems so. That's over a year old; I wouldn't remember such specifics.





-- 

Rémi Denis-Courmont

Sent from my collocated server



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#713005; Package wnpp. (Tue, 02 Jul 2013 08:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomasz Buchert <tomasz.buchert@inria.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 02 Jul 2013 08:54:09 GMT) Full text and rfc822 format available.

Message #85 received at 713005@bugs.debian.org (full text, mbox):

From: Tomasz Buchert <tomasz.buchert@inria.fr>
To: Rémi Denis-Courmont <remi@remlab.net>
Cc: Axel Beckert <abe@debian.org>, 713005@bugs.debian.org
Subject: Re: Bug#713005: RFA: miredo -- Teredo IPv6 tunneling through NATs
Date: Tue, 2 Jul 2013 10:49:34 +0200
Hi guys,
I may have nailed it.
At http://anonscm.debian.org/gitweb/?p=collab-maint/miredo.git;a=summary
you have the current upstream packaged - it builds on clean wheezy
and my mix of testing and unstable. It works as well. :)
So that would be 1.2.6-1, which can be backported to wheezy.
In "systemd" branch you have 1.2.6-2, which adds systemd support, but
it relies on "dh-systemd" which is only in unstable.

Tell me what you think.

As a result I'm willing to adopt miredo package (but not upstream, sorry).
I'm putting ITA as we speak.

Cheers,
Tomasz



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#713005; Package wnpp. (Tue, 02 Jul 2013 08:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomasz Buchert <tomasz.buchert@inria.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 02 Jul 2013 08:57:08 GMT) Full text and rfc822 format available.

Message #90 received at 713005@bugs.debian.org (full text, mbox):

From: Tomasz Buchert <tomasz.buchert@inria.fr>
To: 713005@bugs.debian.org
Subject: ITA: miredo -- Teredo IPv6 tunneling through NATs
Date: Tue, 2 Jul 2013 10:56:05 +0200
retitle 713005 ITA: miredo -- Teredo IPv6 tunneling through NATs
owner 713005 !

Please let me know how to procede.

Cheers,
Tomasz



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#713005; Package wnpp. (Tue, 02 Jul 2013 09:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomasz Buchert <tomasz.buchert@inria.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 02 Jul 2013 09:12:07 GMT) Full text and rfc822 format available.

Message #95 received at 713005@bugs.debian.org (full text, mbox):

From: Tomasz Buchert <tomasz.buchert@inria.fr>
To: 713005@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: ITA: miredo -- Teredo IPv6 tunneling through NATs
Date: Tue, 2 Jul 2013 11:08:47 +0200
retitle 713005 ITA: miredo -- Teredo IPv6 tunneling through NATs
owner 713005 !

I'l never learn to send it to control@ as well!

On 02/07/13 10:56, Tomasz Buchert wrote:
> retitle 713005 ITA: miredo -- Teredo IPv6 tunneling through NATs
> owner 713005 !
> 
> Please let me know how to procede.
> 
> Cheers,
> Tomasz



Changed Bug title to 'ITA: miredo -- Teredo IPv6 tunneling through NATs' from 'RFA: miredo -- Teredo IPv6 tunneling through NATs' Request was from Tomasz Buchert <tomasz.buchert@inria.fr> to control@bugs.debian.org. (Tue, 02 Jul 2013 09:12:10 GMT) Full text and rfc822 format available.

Owner recorded as Tomasz Buchert <tomasz.buchert@inria.fr>. Request was from Tomasz Buchert <tomasz.buchert@inria.fr> to control@bugs.debian.org. (Tue, 02 Jul 2013 09:12:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#713005; Package wnpp. (Tue, 16 Jul 2013 09:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomasz Buchert <tomasz.buchert@inria.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 16 Jul 2013 09:45:07 GMT) Full text and rfc822 format available.

Message #104 received at 713005@bugs.debian.org (full text, mbox):

From: Tomasz Buchert <tomasz.buchert@inria.fr>
To: Axel Beckert <abe@debian.org>
Cc: 713005@bugs.debian.org
Subject: miredo - new maintainer?
Date: Tue, 16 Jul 2013 11:42:02 +0200
Hi Alex,

Did you test my work on miredo? Will you sponsor my upload?

Cheers,
Tomasz



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tomasz Buchert <tomasz.buchert@inria.fr>:
Bug#713005; Package wnpp. (Tue, 16 Jul 2013 09:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tomasz Buchert <tomasz.buchert@inria.fr>. (Tue, 16 Jul 2013 09:51:05 GMT) Full text and rfc822 format available.

Message #109 received at 713005@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Tomasz Buchert <tomasz.buchert@inria.fr>
Cc: 713005@bugs.debian.org
Subject: Re: miredo - new maintainer?
Date: Tue, 16 Jul 2013 11:50:25 +0200
Hi Tomasz,

Tomasz Buchert wrote:
> Did you test my work on miredo?

Sorry, was too busy the last weeks and then forgot that this is still
open. So thanks for the ping.

Will try to have a look this week.

> Will you sponsor my upload?

I intend to do so, but I'm not mad if someone else can do it earlier.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Reply sent to Tomasz Buchert <tomasz.buchert@inria.fr>:
You have taken responsibility. (Tue, 30 Jul 2013 23:21:25 GMT) Full text and rfc822 format available.

Notification sent to Rémi Denis-Courmont <courmisch@gmail.com>:
Bug acknowledged by developer. (Tue, 30 Jul 2013 23:21:25 GMT) Full text and rfc822 format available.

Message #114 received at 713005-close@bugs.debian.org (full text, mbox):

From: Tomasz Buchert <tomasz.buchert@inria.fr>
To: 713005-close@bugs.debian.org
Subject: Bug#713005: fixed in miredo 1.2.6-1
Date: Tue, 30 Jul 2013 23:18:43 +0000
Source: miredo
Source-Version: 1.2.6-1

We believe that the bug you reported is fixed in the latest version of
miredo, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 713005@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tomasz Buchert <tomasz.buchert@inria.fr> (supplier of updated miredo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 30 Jul 2013 23:01:51 +0200
Source: miredo
Binary: miredo miredo-server
Architecture: source i386
Version: 1.2.6-1
Distribution: unstable
Urgency: low
Maintainer: Tomasz Buchert <tomasz.buchert@inria.fr>
Changed-By: Tomasz Buchert <tomasz.buchert@inria.fr>
Description: 
 miredo     - Teredo IPv6 tunneling through NATs
 miredo-server - Teredo IPv6 tunneling server
Closes: 634384 635749 651474 685277 713005
Changes: 
 miredo (1.2.6-1) unstable; urgency=low
 .
   * Change of maintainers (Closes: #713005)
   * Change to git-buildpackage and friends
   * Building with dh
   * Uploaded versions 1.2.4 - 1.2.6 to git (Closes: #685277)
   * Systemd support (Closes: #635749)
   * Fix lintian --pedantic warnings
   * Many minor fixes (by Rémi D-C):
     + Standards version 3.9.4
     + Use *-any syntax for conditional dependencies (Closes: #634384)
     + Add 'status' command to initscript (Closes: #651474)
     + Update miredo.if-up
Checksums-Sha1: 
 57ee65d18663fffb3e659c8e3c3bf25a4af869f9 1347 miredo_1.2.6-1.dsc
 630c84e9919952f6f4792ceda54a12e0aef43bbf 477668 miredo_1.2.6.orig.tar.xz
 057db1587e88a2a35fed20c337ee20863af94754 7911 miredo_1.2.6-1.debian.tar.gz
 fa428e61b09d812e50d3c541834ec07adebfe5c6 203196 miredo_1.2.6-1_i386.deb
 3c2cb636504131f4380546ed852a4d62618c4a4d 172014 miredo-server_1.2.6-1_i386.deb
Checksums-Sha256: 
 e4f32e0eae56309ad0f3354c07a7243b36aa5459d30ebf7eb8c653b177e15070 1347 miredo_1.2.6-1.dsc
 fa26d2f4a405415833669e2e2e22677b225d8f83600844645d5683535ea43149 477668 miredo_1.2.6.orig.tar.xz
 4a5d3f6100b7c5001614dcf4c802f7582b66865fa8656a73aad17f509020b3c1 7911 miredo_1.2.6-1.debian.tar.gz
 07a56f7d8dd70f83b4cbca049076852083aa52ba0526b8a0419a805b0e5f1749 203196 miredo_1.2.6-1_i386.deb
 9d92c21ed8d08f04e221e8154055eda399e116c6cfcac9adfbe5873111e9d860 172014 miredo-server_1.2.6-1_i386.deb
Files: 
 47f783ce5aa154f15c0294b1cabab1c9 1347 net optional miredo_1.2.6-1.dsc
 5bcdbaced54f40b6cb1e9c9a8dbac411 477668 net optional miredo_1.2.6.orig.tar.xz
 56a9e90ac8d5363ce3d1a544ba69f7b6 7911 net optional miredo_1.2.6-1.debian.tar.gz
 0791933943534de545760129c38e37d6 203196 net optional miredo_1.2.6-1_i386.deb
 6a05fb89c8822b130fcc882ee258e582 172014 net extra miredo-server_1.2.6-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iEYEARECAAYFAlH4PlgACgkQwJ4diZWTDt7EkgCeJYvCKIVLpdqDd+5SNGxnHep+
HJUAnRCot5zv+jjhMVerGwjzMk5EWkSn
=2Scw
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 28 Aug 2013 07:25:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:04:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.